#!/bin/bash
#
# Make items required for the website but not for the book.
# They go into web/<book>.
#

if [ $# != 1 ]; then
    echo "Usage: makeWebItems.sh <book dir name>"
    exit 1
fi

dir=`pwd`

booke=$dir/$1
builddir=$dir/web/$1
graphicsdir=$dir/graphics/$1

mkdir -p $builddir

# Now, for each tune, make the tune JPG and sound.
find $booke -name "*.abc" | sort |
    while read filename
    do
        name=`basename $filename .abc`
        convert $graphicsdir/${name}.eps $builddir/${name}.jpg

        abc2midi $filename -o $builddir/${name}.mid
        timidity -Ow -o $builddir/${name}.wav $builddir/${name}.mid
        lame --quiet $builddir/${name}.wav $builddir/${name}.mp3
        rm $builddir/${name}.wav
    done

